routes/web.php
<?php

use App\Http\Controllers\Admin\BusinessController;
use App\Http\Controllers\Admin\CategoryController;
use App\Http\Controllers\Admin\HomeController;
use App\Http\Controllers\Admin\UserController;
use App\Http\Controllers\Auth\LoginController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
})->name('home');

//auth routes
Route::group([],function(){
Route::get('/login',[LoginController::class,'login_form'])->name('login');
Route::post('/login',[LoginController::class,'login'])->name('login.store');
Route::post('/logout',[LoginController::class,'logout'])->name('logout');


});

// auth required routes
Route::group(['middleware'=>'auth'],function(){
    //admin routes
    Route::group(['middleware'=>'is_Admin','prefix'=>'admin'],function(){
        Route::get('/',[HomeController::class,'index'])->name('admin.home');

        Route::resource('/users',UserController::class);
        Route::resource('/categories',CategoryController::class);
        Route::resource('/businesses',BusinessController::class);
    });

});

app/Models/Category.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    use HasFactory;


    public function sub_categories()
    {
        return $this->hasMany('App\Models\SubCategory','category_id');
    }
}

app/Http/Controllers/Admin/CategoryController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\CreateCategoryRequest;
use App\Http\Requests\UpdateCategoryRequest;
use Illuminate\Http\Request;
use App\Models\Category as ModelCategory;

class CategoryController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(ModelCategory $user, Request $request)
    {


        $categories = ModelCategory::orderBy('created_at', 'desc')->paginate(8);
        $name = 'categories';
        $data = $categories;

        return view('admin.categories.index', compact('categories', 'name', 'data'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Request $request)
    {

        return view('admin.categories.create');
    }


    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(CreateCategoryRequest $request)
    {

       // return $request;


        $category = new ModelCategory();
        $category->name    = $request->input('name');
        $category->ar_name    = $request->input('ar_name');

        $category->save();

        return redirect()->route('categories.index')->with('message', 'Category created successfully');

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(ModelCategory $category)
    {

        $name = 'categories';

        return view('admin.categories.update', compact('category', 'name'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(UpdateCategoryRequest $request,ModelCategory $category)
    {
        //
        $category->save();
        return redirect()->route('categories.index')->with('message', 'Category info updated');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(ModelCategory $category)
    {

            $category->delete();
            return redirect()->back()->with('message', 'Category deleted successfully');


    }

}

resources/views/admin/categories/create.blade.php
@extends('layouts.resources.create')

@section('form')
@include('_includes.message')

<form class="d-flex flex-column " method="POST" action="{{route('categories.store')}}">
    @csrf
    <div class="form-group">
        <label for="exampleFormControlInput1">Category name</label>
        <input type="name" name="name"  class="form-control" id="exampleFormControlInput1" placeholder="example">
      </div>

    <div class="form-group">
        <label for="exampleFormControlInput1">Category arabic name</label>
        <input type="name" name="ar_name"  class="form-control" id="exampleFormControlInput1" placeholder="example">
      </div>






    <button type="submit" class="btn btn-primary align-self-end">Submit</button>

</form>
@endsection

resources/views/admin/categories/index.blade.php
@extends('layouts.resources.index')


@section('header')
<nav class="navbar d-flex justify-content-between navbar-expand-lg navbar-light bg-light  align-content-justify-end">
    <a class="navbar-brand " href="#">Categories Management</a>

        <a type="submit" class="btn btn-primary   align-self-end"  href="{{route('categories.create')}}">Add Category</a>

</nav>
@endsection
@section('table-header')
        <tr>
        <th scope="col">#</th>
        <th scope="col">Name</th>
        <th scope="col">ar_name</th>
        <th scope="col">Joined</th>
        <th scope="col">Options</th>
        </tr>
@endsection



@section('table-body')
            @foreach ($data as $item)
           <tr>
                <td>{{$item->id}}</td>
             <td>{{$item->name}}</td>
             <td>{{$item->ar_name}}</td>
            <td>{{$item->created_at}}</td>
           <td>
            <form method="POST"
            action="{{route('categories.edit',$item)}}">
             @csrf
             @method('GET')
             <button type="submit" class="btn btn-success   align-self-end">Edit</button>
            </form>

                <form method="POST"
                action="{{route('categories.destroy',$item->id)}}">
                 @csrf
                 @method('DELETE')
                <button type="submit" class="btn btn-danger   align-self-end">Delete</button>
            </form>


           </td>

            </tr>


            @endforeach

@endsection

resources/views/admin/categories/update.blade.php
@extends('layouts.resources.update')

@section('form')
@include('_includes.message')
@php

@endphp
 <form class="d-flex flex-column "  method="POST" action="{{route('categories.update', $category->id)}}">
    @csrf
    @method('PUT')
    <div class="form-group">
        <label for="exampleFormControlInput1">Category name</label>
        <input type="name" name="name"  class="form-control" id="exampleFormControlInput1" placeholder="{{$category->name}}">

      </div>

      <div class="form-group">
        <label for="exampleFormControlInput1">Category arabic name</label>
        <input type="name" name="ar_name"  class="form-control" id="exampleFormControlInput1" placeholder="{{$category->ar_name}}">

      </div>



    <button type="submit" class="btn btn-primary align-self-end">Update</button>

</form>
 @endsection